Get Test Results
curl --request GET \
--url https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/results \
--header 'Authorization: <authorization>'import requests
url = "https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/results"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/results', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{}
]
}Get Test Results
Get test results for a test suite
GET
/
v1
/
projects
/
{projectId}
/
test-suites
/
{testSuiteId}
/
results
Get Test Results
Request
GET https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/results
Path Parameters
string
required
The project ID
string
required
The test suite ID
Headers
string
required
Bearer token using your developer key
Response
array
Array of test result objects, each including
testCaseResults with nested criteriaResults.Example
curl https://api.pathors.com/v1/projects/{projectId}/test-suites/{testSuiteId}/results \
-H "Authorization: Bearer dk_your_key"
{
"data": [
{
"id": "test-result-uuid",
"testSuiteId": "test-suite-uuid",
"projectId": "project-uuid",
"name": "Run #1",
"status": "completed",
"startedAt": "2026-03-23T00:00:00.000Z",
"completedAt": "2026-03-23T00:01:00.000Z",
"testCaseResults": [
{
"id": "test-case-result-uuid",
"testResultId": "test-result-uuid",
"testCaseId": "test-case-uuid",
"status": "passed",
"messages": [],
"criteriaResults": [
{
"id": "criteria-result-uuid",
"testCaseResultId": "test-case-result-uuid",
"criterionId": "criterion-uuid",
"passed": true,
"reason": "Agent greeted the user correctly"
}
]
}
],
"createdAt": "2026-03-23T00:00:00.000Z",
"updatedAt": "2026-03-23T00:01:00.000Z"
}
]
}
⌘I
